summaryrefslogtreecommitdiff
path: root/src/pmdas/postgresql/Install
diff options
context:
space:
mode:
Diffstat (limited to 'src/pmdas/postgresql/Install')
-rwxr-xr-xsrc/pmdas/postgresql/Install40
1 files changed, 40 insertions, 0 deletions
diff --git a/src/pmdas/postgresql/Install b/src/pmdas/postgresql/Install
new file mode 100755
index 0000000..3cf31be
--- /dev/null
+++ b/src/pmdas/postgresql/Install
@@ -0,0 +1,40 @@
+#! /bin/sh
+#
+# Copyright (c) 2011 Aconex. All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# Install the PostgreSQL PMDA
+#
+
+. $PCP_DIR/etc/pcp.env
+. $PCP_SHARE_DIR/lib/pmdaproc.sh
+
+iam=postgresql
+perl_opt=true
+daemon_opt=false
+forced_restart=true
+
+perl -e "use DBI" 2>/dev/null
+if test $? -ne 0; then
+ echo "Perl database interface (DBI) is not installed"
+ exit 1
+fi
+
+perl -e "use DBD::Pg" 2>/dev/null
+if test $? -ne 0; then
+ echo "Postgres database driver (DBD::Pg) is not installed"
+ exit 1
+fi
+
+pmdaSetup
+pmdaInstall
+exit 0